Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2773083002: Reland of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest.

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 4 weeks ago by ehmaldonado_chromium
Modified:
2 weeks, 5 days ago
CC:
chromium-reviews, chfremer+watch_chromium.org, phoglund+watch_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. (patchset #1 id:1 of https://codereview.chromium.org/2773803002/ ) Reason for revert: - We fixed some issues with the MOS score. - We made sure to have a download directory per fixture, and to erase it after converting the webm file to a wav file. - We moved that code to SetUpOnMainThread. Original issue's description: > Revert of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. (patchset #8 id:140001 of https://codereview.chromium.org/2753543010/ ) > > Reason for revert: > This might be causing failures in Win7 bots: > > https://build.chromium.org/p/chromium.webrtc/builders/Win7%20Tester/builds/34106 > > Original issue's description: > > WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. > > > > This CL uses the MediaStream Recording API to record the audio received > > by the right tag. It saves it as a webm file that is later converted to a > > wav file using ffmpeg. > > > > This might cause a performance regression because we're using webm+ffmpeg > > to generate the wav file. I set a, hopefully high enough, bitrate to > > mitigate this > > > > BUG=chromium:681577 > > NOTRY=True > > > > Review-Url: https://codereview.chromium.org/2753543010 > > Cr-Commit-Position: refs/heads/master@{#459050} > > Committed: https://chromium.googlesource.com/chromium/src/+/a0a47bfebb016ec468bc6d1b4be9b1acb22a4075 > > TBR=kjellander@chromium.org,hbos@chromium.org,mcasas@chromium.org > # Skipping CQ checks because original CL landed less than 1 days ago. > NOPRESUBMIT=true > NOTREECHECKS=true > NOTRY=true > BUG=chromium:681577 > > Review-Url: https://codereview.chromium.org/2773803002 > Cr-Commit-Position: refs/heads/master@{#459234} > Committed: https://chromium.googlesource.com/chromium/src/+/e512d162ed486a0a9f71a1e20e3cde8fb20255e1 TBR=kjellander@chromium.org,hbos@chromium.org,mcasas@chromium.org # Skipping CQ checks because original CL landed less than 1 days ago. NOPRESUBMIT=true NOTREECHECKS=true NOTRY=true BUG=chromium:681577

Patch Set 1 : Original CL #

Patch Set 2 : Fix issues with MOS score. #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+172 lines, -214 lines) Patch
M chrome/browser/media/webrtc/webrtc_audio_quality_browsertest.cc View 1 17 chunks +108 lines, -213 lines 1 comment Download
A chrome/test/data/webrtc/audio_extraction.js View 1 chunk +62 lines, -0 lines 0 comments Download
D chrome/test/data/webrtc/resources/force_mic_volume_max.exe.sha1 View 1 chunk +0 lines, -1 line 0 comments Download
A chrome/test/data/webrtc/resources/speech_44kHz_16bit_mono.wav.sha1 View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/data/webrtc/webrtc_audio_quality_test.html View 1 chunk +1 line, -0 lines 0 comments Download
Trybot results: Sign in to try more bots
Commit queue not available (can’t edit this change).

Messages

Total messages: 11 (4 generated)
ehmaldonado_chromium
Created Reland of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest.
6 months, 4 weeks ago (2017-03-24 12:02:52 UTC) #1
mcasas
On 2017/03/24 12:02:52, ehmaldonado_chromium wrote: > Created Reland of WebRTC: Use the MediaStream Recording API ...
6 months, 4 weeks ago (2017-03-24 17:31:23 UTC) #2
ehmaldonado_chromium
On 2017/03/24 17:31:23, mcasas wrote: > On 2017/03/24 12:02:52, ehmaldonado_chromium wrote: > > Created Reland ...
6 months, 4 weeks ago (2017-03-24 18:11:43 UTC) #3
ehmaldonado_chromium
On 2017/03/24 18:11:43, ehmaldonado_chromium wrote: > On 2017/03/24 17:31:23, mcasas wrote: > > On 2017/03/24 ...
6 months, 3 weeks ago (2017-03-30 17:20:53 UTC) #5
kjellander_chromium
lgtm It's worth a try to reland and see how it works. Were you able ...
6 months, 3 weeks ago (2017-03-30 19:26:34 UTC) #6
ehmaldonado_chromium
I couldn't manufacture a patch, since we need at least the reference file to play ...
6 months, 3 weeks ago (2017-03-30 19:34:15 UTC) #7
kjellander_chromium
2 weeks, 5 days ago (2017-09-29 07:06:20 UTC) #11
What happened to this?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa